import React from "react";
import { Input, Tree, TreeDataNode } from "antd";
import { SearchOutlined } from "@ant-design/icons";
export default function DataModel() {
  const treeData: TreeDataNode[] = [
    {
      key: "0",
      title: "制造业销售管理系统",
      style: {
        fontWeight: 'bold'
      },
      icon: (
        <svg className="icon h-20px w-20px m-r-8px" aria-hidden="true">
          <use xlinkHref="#icon-model"></use>
        </svg>
      ),
      children: [
        {
          key: "0-1",
          title: "表",
          icon: <i className="iconfont icon-biaogebeifen"/>,
          style: {
            color: '#666'
          },
          children: [
            {
              key: "0-0-0",
              title: "生产计划",
            },
          ],
        },
        {
          key: "0-2",
          title: "主题域",
          icon: <i className="iconfont icon-zhutiyu"/>,
          style: {
            color: '#666'
          },
          children: [
            {
              key: "0-0-0",
              title: "生产计划",
            },
          ],
        },
        {
          key: "0-3",
          title: "关系",
          icon: <i className="iconfont icon-kinship-full"/>,
          style: {
            color: '#666'
          },
          children: [
            {
              key: "0-0-0",
              title: "生产计划",
            },
          ],
        },
        {
          key: "0-4",
          title: "备注",
          icon: <i className="iconfont icon-24_beizhu"/>,
          style: {
            color: '#666'
          },
          children: [
            {
              key: "0-0-0",
              title: "生产计划",
            },
          ],
        },
      ],
    },
  ];

  const setSearchValue = (value: string) => {
    
  };

  return (
    <div className="p-4px">
      <Input
        placeholder="请输入关键字"
        onChange={(e) => setSearchValue(e.target.value)}
        prefix={<SearchOutlined/>}
        size="small"
        className="mb-4px"
      />
      <Tree treeData={treeData} showIcon blockNode defaultExpandedKeys={["0"]} />
    </div>
  );
}
